#contenedor{
    width: 280px;
    margin: 0 auto;
    padding-top:150px;
}


@keyframes rotate {from {transform: rotate(0deg);}
    to {transform: rotate(360deg);}}
@-webkit-keyframes rotate {from {-webkit-transform: rotate(0deg);}
  to {-webkit-transform: rotate(360deg);}}

img{
    width: 200px;
    -webkit-animation: 1s rotate linear infinite;
    animation: 1s rotate linear infinite;
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
}   